Bug 189823 - Unable to add podcast feed
Unable to add podcast feed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs (Show other bugs)
6
other Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 17:40 EDT by Ashish Shukla
Modified: 2008-05-06 11:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wireshark Capture of Rhythmbox (105.42 KB, application/octet-stream)
2007-01-31 02:29 EST, Ashish Shukla
no flags Details

  None (edit)
Description Ashish Shukla 2006-04-24 17:40:57 EDT
Description of problem:
When trying to add podcast feed, it displays an error message

Version-Release number of selected component (if applicable):
rhythmbox-0.9.3.1-3

How reproducible:
1. Activate context menu on "Podcasts" in Rhythmbox left pane
2. Select "New Podcast Feed" menu item.
3. Enter "http://linuxuser.thepodcastnetwork.com/feed/" as Podcast feed.
3. Click on "Add" button.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
-- begin message box --
Error in podcast

There was a problem adding this podcast. Please verify the URL: 
http://linuxuser.thepodcastnetwork.com/feed/
-- end message box --


Expected results:
Podcast should be added into the library.

Additional info:
When added podcast at "http://leoville.tv/podcasts/sn.xml" (redirected from 
"http://leo.am/podcasts/sn"), it gets added. But on playing, a segmentation 
fault occured.
I noticed both the feeds and found that "http://leoville.tv/podcasts/sn.xml" 
feed contains some iTunes specific tags. So, is Rhythmbox expecting this ??
Comment 1 Bastien Nocera 2007-01-30 19:22:27 EST
Works fine here. Could you please check whether the same thing occurs with
Rhythmbox 0.9.6 that was uploaded to the FC6 updates recently?

(Multimedia stuff moves quickly, and it would be better using the latest
distribution to use Rhythmbox properly).
Comment 2 Ashish Shukla 2007-01-31 02:29:53 EST
Created attachment 147006 [details]
Wireshark Capture of Rhythmbox
Comment 3 Ashish Shukla 2007-01-31 02:31:58 EST
I'm running Rhythmbox 0.9.7 in Fedora Core 6 (amd64). When trying to add this
"http://linuxuser.thepodcastnetwork.com/feed/" podcast I got this error:

-- begin error --
"There was a problem adding this podcast. Please verify the URL:
http://linuxuser.thepodcastnetwork.com/feed/"
-- end error --

Whereas, I played the same podcast in amaroK, and there it played fine. I've
sumbitted the network packet capture of the packet when I added podcast feed to
my rhythmbox. It seems rhythmbox initiated the connection reset, without
receiving the complete podcast feed. BtW, I'm running on 128 Kbps ADSL connection.
Comment 4 Bastien Nocera 2007-01-31 11:32:36 EST
There's problem indeed:
$ gnomevfs-cat http://linuxuser.thepodcastnetwork.com/feed/ > foo
$ wc -l foo 
1338 foo
$ wget http://linuxuser.thepodcastnetwork.com/feed/
$ wc -l index.html 
2157 index.html

The following program fails as well:
---8<--
#include <glib.h>
#include <libgnomevfs/gnome-vfs.h>

#define URL "http://linuxuser.thepodcastnetwork.com/feed/"

int main (int argc, char **argv)
{
        char *contents;
        int file_size;

        if (!gnome_vfs_init ())
                return 1;
        if (gnome_vfs_read_entire_file (URL, &file_size, &contents) !=
GNOME_VFS_OK) {
                g_warning ("Couldn't read data from \"%s\"", URL);
                return 1;
        }
        g_message ("Read %d bytes from \"%s\"", URL);

        return 0;
}
---8<--

$ ./test 

** (process:14240): WARNING **: Couldn't read data from
"http://linuxuser.thepodcastnetwork.com/feed/"

Looks like a gnome-vfs bug.
Comment 5 Bastien Nocera 2007-01-31 12:09:43 EST
Works fine in svn trunk of gnome-vfs, probably a neon/gnome-vfs bug, CC:'ing Joe.
Comment 6 Joe Orton 2007-01-31 12:18:24 EST
A stock neon can process the GET response from that URL fine, I'd guess this is
either a gnome-vfs problem or some issue in the patched copy of neon bundled in
gnome-vfs.
Comment 7 Bug Zapper 2008-04-03 22:44:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 11:50:23 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.